libosmoctrl 1.13.1.1-afb4 Osmocom CTRL library

Functions | Variables
control_vty.c File Reference

VTY configuration for Control interface. More...

`#include <stdlib.h>`
`#include <osmocom/core/talloc.h>`
`#include <osmocom/ctrl/control_vty.h>`
`#include <osmocom/vty/command.h>`

## Functions
| DEFUN (cfg_ctrl_bind_addr, cfg_ctrl_bind_addr_cmd, "bind A.B.C.D [<0-65535>]", "Set bind address to listen for Control connections\n" "Local IP address (default 127.0.0.1)\n" "Local TCP port number\n")
const char * | ctrl_vty_get_bind_addr (void)
uint16_t | ctrl_vty_get_bind_port (uint16_t default_port)
| DEFUN (cfg_ctrl, cfg_ctrl_cmd, "ctrl", "Configure the Control Interface")
static int | config_write_ctrl (struct vty *vty)
int | ctrl_vty_init (void *ctx)

## Variables
static void * | ctrl_vty_ctx = NULL
static const char * | ctrl_vty_bind_addr = NULL
static int | ctrl_bind_port = -1
static struct cmd_node | ctrl_node

## Detailed Description

VTY configuration for Control interface.

## Function Documentation

## ◆ config_write_ctrl()

static int config_write_ctrl | ( | struct vty * | vty | ) |
| static

References CMD_SUCCESS, ctrl_vty_bind_addr, VTY_NEWLINE, and vty_out().

Referenced by ctrl_vty_init().

## ◆ ctrl_vty_get_bind_addr()

const char * ctrl_vty_get_bind_addr | ( | void |  | ) |

References ctrl_vty_bind_addr.

Referenced by ctrl_interface_setup2().

## ◆ ctrl_vty_get_bind_port()

uint16_t ctrl_vty_get_bind_port | ( | uint16_t | default_port | ) |

References ctrl_bind_port.

Referenced by ctrl_interface_setup2().

## ◆ ctrl_vty_init()

int ctrl_vty_init | ( | void * | ctx | ) |

References CONFIG_NODE, config_write_ctrl(), ctrl_node, ctrl_vty_ctx, install_lib_element(), install_node(), and L_CTRL_NODE.

## ◆ DEFUN() [1/2]

DEFUN | ( | cfg_ctrl | ,
|  | cfg_ctrl_cmd | ,
|  | "ctrl" | ,
|  | "Configure the Control Interface" |
| ) |  |

References CMD_SUCCESS, vty::index, L_CTRL_NODE, and vty::node.

## ◆ DEFUN() [2/2]

DEFUN | ( | cfg_ctrl_bind_addr | ,
|  | cfg_ctrl_bind_addr_cmd | ,
|  | "bind A.B.C.D " | [< 0-65535 >],
|  | "Set bind address to listen for Control connections\n" "Local IP address (default 127.0.0.1)\n" "Local TCP port number\n" |
| ) |  |

References argc, argv, CMD_SUCCESS, ctrl_bind_port, ctrl_vty_bind_addr, and ctrl_vty_ctx.

## Variable Documentation

## ◆ ctrl_bind_port

int ctrl_bind_port = -1
| static

Referenced by ctrl_vty_get_bind_port(), and DEFUN().

## ◆ ctrl_node

struct cmd_node ctrl_node
| static

Initial value:
= {
L_CTRL_NODE,
"%s(config-ctrl)# ",
1,
}
L_CTRL_NODE
L_CTRL_NODE

Referenced by ctrl_vty_init().

## ◆ ctrl_vty_bind_addr

const char* ctrl_vty_bind_addr = NULL
| static

Referenced by config_write_ctrl(), ctrl_vty_get_bind_addr(), and DEFUN().

## ◆ ctrl_vty_ctx

void* ctrl_vty_ctx = NULL
| static

Referenced by ctrl_vty_init(), and DEFUN().